Subject: Re: [PATCH 0/2] Fix empty SHA-256 clones with v0 and v1

From: Junio C Hamano <[email-masked]>
Date: Wed, 26 Apr 2023 14:12:28 -0700

"brian m. carlson" <[email-masked]> writes:

> The second introduces some backwards compatibility to avoid regressing
> the old behaviour of using GIT_DEFAULT_HASH to initialize the proper
> hash in this case.  We add a flag to see if we explicitly obtained a
> hash algorithm from the remote side, and if not, we honour
> GIT_DEFAULT_HASH, as before.

I am fairly negative on this half of the series.  The first one is
excellent, though.

THanks.